Innehåll

# DefCur Statement

Om ett typdeklarationstecken eller nyckelord saknas, anger satsen DefCur standarddatatypen för variabler enligt ett bokstavsintervall.

### Syntax:

        {DefBool|DefCur|DefDate|DefDbl|DefErr|DefInt|DefLng|DefObj|DefStr|DefSng|DefVar} {char|char-char}[,...]

### Parametrar:

char: Letter prefix that specifies default data type for variables.

char-char: Letter range prefixes that specify default data type for variables.

### Exempel:

        ' Prefix definitions for variable types:
        DefBool b
        DefCur c,l-m
        DefDate t
        DefDbl f
        DefErr e
        DefInt i-k,N
        DefLng x-z, D
        DefObj U, o-R
        DefSng w,a
        DefStr s
        DefVar V,g

      Sub ExampleDefCur
          Print liquid, Typename(coinbit), VarType(money) ' Result is: 0.0000 Currency 6
          cCur=Currency ' cCur is an implicit currency variable.
      End Sub